API ReferenceEcosystems
Create ecosystem
POST
Creates an ecosystem.
Roles
admindts-provider
Analytics Events
ECOSYSTEM_CREATE_STARTECOSYSTEM_CREATE_SUCCESSECOSYSTEM_CREATE_FAIL
bearerAuthheader
AuthorizationBearer <token>application/json- body
name*nameThe name of the ecosystem.
Length
1 <= length <= 50integrations?array<|>Details external trust sources which are integrated into the ecosystem. These can be either a different ecosystem or a VICAL.
Ecosystem created
application/json- response
id?stringThe UUID of the ecosystem.
Format
uuidname?stringThe name of the ecosystem.
Length
1 <= length <= 50integrations?array<|>curl -X POST 'https://example.vii.au01.mattr.global/v1/ecosystems' \ -H 'Content-Type: application/json' \ -d '{ "name": "My Ecosystem"}'{ "id": "87880d7e-a4d0-462e-8383-3f1e5e16865d", "name": "My Ecosystem", "integrations": [ { "format": "MATTR", "url": "https://example.vii.au01.mattr.global/v1/ecosystems/489755c9-1d74-4f59-a127-db7105667bfe/policy", "enabled": true, "integrationResult": { "success": true, "lastSyncedAt": "2024-09-10T02:28:36.550Z", "lastModifiedAt": "2024-08-10T02:28:36.550Z", "failReasons": [ { "type": "UnknownVerificationError", "message": "Unknown verification error occurred" } ] } } ]}How would you rate this page?
Delete a RICAL signer DELETE
Deletes a RICAL signer. Deleting a RICAL signer does not affect any RICALs it has already signed — those remain valid. It only means this signer can no longer be used to sign new RICALs. <Callout> Only available in implementations using unmanaged (external) DTS root CA certificates. </Callout>
Retrieve all ecosystems GET
Retrieves a list of ecosystems.